Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class BorderEx

    java.lang.Object
      nextapp.echo2.app.Border
          echopointng.BorderEx

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MutableBorderEx

    public class BorderEx

extends Border

`BorderEx` is extension of Border that allows you to set left, right, top and bottom border values.

The more specific left, top, right and bottom border properties take precedence over the general border properties, in that they are applied last during rendering and are drawn so they override anything previously set by the general border properties.

See Also:
  Serialized Form

Field Summary
`static BorderEx` | `DEFAULT` A static BorderEx that is 1px wide, BLACK and STYLE_SOLID.
`static BorderEx` | `NONE` A static BorderEx that is zero sized and STYLE_NONE.

Fields inherited from class nextapp.echo2.app.Border
`STYLE_DASHED, STYLE_DOTTED, STYLE_DOUBLE, STYLE_GROOVE, STYLE_INSET, STYLE_NONE, STYLE_OUTSET, STYLE_RIDGE, STYLE_SOLID`

Constructor Summary
`BorderEx()` Creates a new `BorderEx` with 1px wide, STYLE_SOLID style and Color.BLACK.
`BorderEx(Color color)` Creates a new `BorderEx` with a 1px wide STYLE_SOLID style.
`BorderEx(Extent size, Color color, int style)` Creates a new `BorderEx`.
`BorderEx(Extent leftSize, Color leftColor, int leftStyle, Extent rightSize, Color rightColor, int rightStyle, Extent topSize, Color topColor, int topStyle, Extent bottomSize, Color bottomColor, int bottomStyle)` Creates a new `BorderEx` with the specified left, right, top an bottom properties.
`BorderEx(int size)` Creates a new `BorderEx` with a STYLE_SOLID style and Color.BLACK color.
`BorderEx(int size, Color color)` Creates a new `BorderEx` with a STYLE_SOLID style.
`BorderEx(int size, Color color, int style)` Creates a new `BorderEx`.
`BorderEx(int leftSize, Color leftColor, int leftStyle, int rightSize, Color rightColor, int rightStyle, int topSize, Color topColor, int topStyle, int bottomSize, Color bottomColor, int bottomStyle)` Creates a new `BorderEx` with the specified left, right, top an bottom properties..

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Color` | `getBottomColor()`
`Extent` | `getBottomSize()`
`int` | `getBottomStyle()`
`Color` | `getColor()` Returns the border color.
`Color` | `getLeftColor()`
`Extent` | `getLeftSize()`
`int` | `getLeftStyle()`
`Color` | `getRightColor()`
`Extent` | `getRightSize()`
`int` | `getRightStyle()`
`Extent` | `getSize()` Returns the border size.
`int` | `getStyle()` Returns the border style.
`java.lang.String` | `getStyleString()` Returns the string representation of the current border style eg.
`Color` | `getTopColor()`
`Extent` | `getTopSize()`
`int` | `getTopStyle()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final BorderEx DEFAULT

  A static BorderEx that is 1px wide, BLACK and STYLE_SOLID.

### NONE

    public static final BorderEx NONE

  A static BorderEx that is zero sized and STYLE_NONE.

Constructor Detail

### BorderEx

    public BorderEx()

  Creates a new `BorderEx` with 1px wide, STYLE_SOLID style and Color.BLACK.

### BorderEx

    public BorderEx(Color color)

  Creates a new `BorderEx` with a 1px wide STYLE_SOLID style.

  Parameters:
    `color` - the color of the border

### BorderEx

    public BorderEx(Extent size,
                    Color color,
                    int style)

  Creates a new `BorderEx`.

  Parameters:
    `size` - the size of the border
    `color` - the color of the border
    `style` - the style of the border, one of the following constant values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### BorderEx

    public BorderEx(Extent leftSize,
                    Color leftColor,
                    int leftStyle,
                    Extent rightSize,
                    Color rightColor,
                    int rightStyle,
                    Extent topSize,
                    Color topColor,
                    int topStyle,
                    Extent bottomSize,
                    Color bottomColor,
                    int bottomStyle)

  Creates a new `BorderEx` with the specified left, right, top an bottom properties.

  Parameters:
    `leftSize` - - the size of the left side of the border
    `leftColor` - - the color of the left side of the border
    `leftStyle` - - the style of the left side of the border
    `rightSize` - - the size of the right side of the border
    `rightColor` - - the color of the right side of the border
    `rightStyle` - - the style of the right side of the border
    `topSize` - - the size of the top side of the border
    `topColor` - - the color of the top side of the border
    `topStyle` - - the style of the top side of the border
    `bottomSize` - - the size of the bottom side of the border
    `bottomColor` - - the color of the bottom side of the border
    `bottomStyle` - - the style of the bottom side of the border

    Styles can be one of the following constant values:

    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### BorderEx

    public BorderEx(int size)

  Creates a new `BorderEx` with a STYLE_SOLID style and Color.BLACK color.

  Parameters:
    `size` - the size of the border in pixels

### BorderEx

    public BorderEx(int size,
                    Color color)

  Creates a new `BorderEx` with a STYLE_SOLID style.

  Parameters:
    `size` - the size of the border in pixels
    `color` - the color of the border

### BorderEx

    public BorderEx(int size,
                    Color color,
                    int style)

  Creates a new `BorderEx`.

  Parameters:
    `size` - the size of the border in pixels
    `color` - the color of the border
    `style` - the style of the border, one of the following constant values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

### BorderEx

    public BorderEx(int leftSize,
                    Color leftColor,
                    int leftStyle,
                    int rightSize,
                    Color rightColor,
                    int rightStyle,
                    int topSize,
                    Color topColor,
                    int topStyle,
                    int bottomSize,
                    Color bottomColor,
                    int bottomStyle)

  Creates a new `BorderEx` with the specified left, right, top an bottom properties..

  Parameters:
    `leftSize` - - the size of the left side of the border
    `leftColor` - - the color of the left side of the border
    `leftStyle` - - the style of the left side of the border
    `rightSize` - - the size of the right side of the border
    `rightColor` - - the color of the right side of the border
    `rightStyle` - - the style of the right side of the border
    `topSize` - - the size of the top side of the border
    `topColor` - - the color of the top side of the border
    `topStyle` - - the style of the top side of the border
    `bottomSize` - - the size of the bottom side of the border
    `bottomColor` - - the color of the bottom side of the border
    `bottomStyle` - - the style of the bottom side of the border

    Styles can be one of the following constant values:

    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `Border`
  See Also:
    `Object.equals(java.lang.Object)`

### getBottomColor

    public Color getBottomColor()

### getBottomSize

    public Extent getBottomSize()

### getBottomStyle

    public int getBottomStyle()

### getColor

    public Color getColor()

  Description copied from class: `Border`
  Returns the border color.

  Overrides:
    `getColor` in class `Border`
  Returns:
    the color
  See Also:
    `Border.getColor()`

### getLeftColor

    public Color getLeftColor()

### getLeftSize

    public Extent getLeftSize()

### getLeftStyle

    public int getLeftStyle()

### getRightColor

    public Color getRightColor()

### getRightSize

    public Extent getRightSize()

### getRightStyle

    public int getRightStyle()

### getSize

    public Extent getSize()

  Description copied from class: `Border`
  Returns the border size. This property only supports `Extent`s with fixed (i.e., not percent) units.

  Overrides:
    `getSize` in class `Border`
  Returns:
    the size
  See Also:
    `Border.getSize()()()`

### getStyle

    public int getStyle()

  Description copied from class: `Border`
  Returns the border style.

  Overrides:
    `getStyle` in class `Border`
  Returns:
    the style, one of the following values:
    - `STYLE_NONE`
    - `STYLE_SOLID`
    - `STYLE_INSET`
    - `STYLE_OUTSET`
    - `STYLE_GROOVE`
    - `STYLE_RIDGE`
    - `STYLE_DOUBLE`
    - `STYLE_DOTTED`
    - `STYLE_DASHED`
  See Also:
    `Border.getStyle()()`

### getStyleString

    public java.lang.String getStyleString()

  Returns the string representation of the current border style eg. "solid", "dotted" etc.

  Returns:
    the string representation of the current border style

### getTopColor

    public Color getTopColor()

### getTopSize

    public Extent getTopSize()

### getTopStyle

    public int getTopStyle()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD